View Issue Details

IDProjectCategoryView StatusLast Update
00283201.4 IDE BugsBuild iOSPublic2018-05-09 15:36
ReporterStewart BishopAssigned ToSteven Campbell 
PriorityVery HighSeverityB - MajorReproducibility100%
Status ClosedResolutionFixed 
Product Version 
Target VersionFixed in Version 
Summary0028320: Build iOS: Unable to submit due to missing Icon Asset Catalog
DescriptionPublishing to iOS store after upgrading device to iOS 11 and Mac & xcode to latest, I am getting below error from apple via email;

Dear developer,

We have discovered one or more issues with your recent delivery for "[GAME NAME]". To process your delivery, the following issues must be corrected:

Missing Info.plist value - A value for the Info.plist key CFBundleIconName is missing in the bundle ''. Apps that provide icons in the asset catalog must also provide this Info.plist key. For more information see http://help.apple.com/xcode/mac/current/#/dev10510b1f7.

Once these issues have been corrected, you can then redeliver the corrected binary.

Regards,

The App Store team
TagsNo tags attached.
1.4 Found In1.4.1773

Relationships

related to 0028307 ClosedChris Harrison 2.x IDE Bugs Build iOS: Packages don't include all required iOS icons, so submission is rejected 

Activities

Dan

2017-11-15 11:14

Adminstrator   ~0056617

Last edited: 2017-11-15 11:15

View 2 revisions

Whilst we will have to fix this, note that 1.4.1772/1773 does not currently support Xcode 9 or macOS High Sierra, as is explicitly stated in the Required SDKs FAQ we link to in the release notes/the Help menu.

Steven Campbell

2017-12-07 14:42

Developer   ~0056920

Fixed in Red Git Id: 14c288bb6997a1664d7cb1ea5ab611e8c2b8fd97

Dan

2018-05-09 15:36

Adminstrator   ~0059233

Mass-closing - either fixed in 1804 or was an internal-only issue.